Subject: bug#43186: Gzip-compressed kernel modules are not universally supported [was Re: ci.guix.gnu.org doesn’t boot]

From: Leo Famulari <[email-masked]>
Date: Thu, 3 Sep 2020 14:42:12 -0400

----- Forwarded message from Ludovic Courtès <[email-masked]> -----
Leo Famulari <[email-masked]> skribis:
> I had been using the Guix kernel configs to build kernels for Debian
> systems, but this broke when we recently enabled GZIP compression of the
> kernel modules. Debian only supports XZ compressed modules.

Oh, sounds scary.  Do we have an open bug report for that?
----- End forwarded message -----

Here is the bug report.

I hadn't reported it because I didn't think that the Guix kernel configs
should be required to produce working kernels for other operating
systems.